API reference
Create organization
POST
/v1/organizationsAuthorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/organizations" \ -H "Content-Type: application/json" \ -d '{ "name": null, "storeName": "string", "firstName": "string", "lastName": null, "organizationId": null, "countryCode": null, "currencyCode": null, "languageCode": null, "timeZone": null }'{ "id": "string", "name": "string", "slug": "string", "email": "string", "phone": null, "countryCode": null, "currencyCode": null, "logo": null, "languageCode": null, "timeZone": null, "stores": [ { "id": "string", "name": "string", "slug": null, "domain": null, "logo": null, "icon": null, "currentUser": null, "storeType": "b2C", "description": null, "status": "active", "provisioningStatus": "provisioning", "createdOn": null, "updatedOn": null } ], "status": "active", "createdOn": "2019-08-24T14:15:22Z", "updatedOn": null}